Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network63.2.44.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
63.2.44.0
Broadcast address
63.2.47.255
First usable
63.2.44.1
Last usable
63.2.47.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 3F022C00 · Integer 1057106944 to 1057107967
Reverse DNS zones
44.2.63.in-addr.arpa
45.2.63.in-addr.arpa
46.2.63.in-addr.arpa
47.2.63.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111111.00000010.00101100.0000000063.2.44.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00111111.00000010.00101100.0000000063.2.44.0
Broadcast00111111.00000010.00101111.1111111163.2.47.255
Split into smaller subnets/32

63.2.44.0/22 makes 1,024 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
163.2.44.0/3263.2.44.0 to 63.2.44.0—1
263.2.44.1/3263.2.44.1 to 63.2.44.1—1
363.2.44.2/3263.2.44.2 to 63.2.44.2—1
463.2.44.3/3263.2.44.3 to 63.2.44.3—1
563.2.44.4/3263.2.44.4 to 63.2.44.4—1
663.2.44.5/3263.2.44.5 to 63.2.44.5—1
763.2.44.6/3263.2.44.6 to 63.2.44.6—1
863.2.44.7/3263.2.44.7 to 63.2.44.7—1
963.2.44.8/3263.2.44.8 to 63.2.44.8—1
1063.2.44.9/3263.2.44.9 to 63.2.44.9—1
1163.2.44.10/3263.2.44.10 to 63.2.44.10—1
1263.2.44.11/3263.2.44.11 to 63.2.44.11—1
1363.2.44.12/3263.2.44.12 to 63.2.44.12—1
1463.2.44.13/3263.2.44.13 to 63.2.44.13—1
1563.2.44.14/3263.2.44.14 to 63.2.44.14—1
1663.2.44.15/3263.2.44.15 to 63.2.44.15—1
1763.2.44.16/3263.2.44.16 to 63.2.44.16—1
1863.2.44.17/3263.2.44.17 to 63.2.44.17—1
1963.2.44.18/3263.2.44.18 to 63.2.44.18—1
2063.2.44.19/3263.2.44.19 to 63.2.44.19—1
2163.2.44.20/3263.2.44.20 to 63.2.44.20—1
2263.2.44.21/3263.2.44.21 to 63.2.44.21—1
2363.2.44.22/3263.2.44.22 to 63.2.44.22—1
2463.2.44.23/3263.2.44.23 to 63.2.44.23—1
2563.2.44.24/3263.2.44.24 to 63.2.44.24—1
2663.2.44.25/3263.2.44.25 to 63.2.44.25—1
2763.2.44.26/3263.2.44.26 to 63.2.44.26—1
2863.2.44.27/3263.2.44.27 to 63.2.44.27—1
2963.2.44.28/3263.2.44.28 to 63.2.44.28—1
3063.2.44.29/3263.2.44.29 to 63.2.44.29—1
3163.2.44.30/3263.2.44.30 to 63.2.44.30—1
3263.2.44.31/3263.2.44.31 to 63.2.44.31—1
3363.2.44.32/3263.2.44.32 to 63.2.44.32—1
3463.2.44.33/3263.2.44.33 to 63.2.44.33—1
3563.2.44.34/3263.2.44.34 to 63.2.44.34—1
3663.2.44.35/3263.2.44.35 to 63.2.44.35—1
3763.2.44.36/3263.2.44.36 to 63.2.44.36—1
3863.2.44.37/3263.2.44.37 to 63.2.44.37—1
3963.2.44.38/3263.2.44.38 to 63.2.44.38—1
4063.2.44.39/3263.2.44.39 to 63.2.44.39—1
4163.2.44.40/3263.2.44.40 to 63.2.44.40—1
4263.2.44.41/3263.2.44.41 to 63.2.44.41—1
4363.2.44.42/3263.2.44.42 to 63.2.44.42—1
4463.2.44.43/3263.2.44.43 to 63.2.44.43—1
4563.2.44.44/3263.2.44.44 to 63.2.44.44—1
4663.2.44.45/3263.2.44.45 to 63.2.44.45—1
4763.2.44.46/3263.2.44.46 to 63.2.44.46—1
4863.2.44.47/3263.2.44.47 to 63.2.44.47—1
4963.2.44.48/3263.2.44.48 to 63.2.44.48—1
5063.2.44.49/3263.2.44.49 to 63.2.44.49—1
5163.2.44.50/3263.2.44.50 to 63.2.44.50—1
5263.2.44.51/3263.2.44.51 to 63.2.44.51—1
5363.2.44.52/3263.2.44.52 to 63.2.44.52—1
5463.2.44.53/3263.2.44.53 to 63.2.44.53—1
5563.2.44.54/3263.2.44.54 to 63.2.44.54—1
5663.2.44.55/3263.2.44.55 to 63.2.44.55—1
5763.2.44.56/3263.2.44.56 to 63.2.44.56—1
5863.2.44.57/3263.2.44.57 to 63.2.44.57—1
5963.2.44.58/3263.2.44.58 to 63.2.44.58—1
6063.2.44.59/3263.2.44.59 to 63.2.44.59—1
6163.2.44.60/3263.2.44.60 to 63.2.44.60—1
6263.2.44.61/3263.2.44.61 to 63.2.44.61—1
6363.2.44.62/3263.2.44.62 to 63.2.44.62—1
6463.2.44.63/3263.2.44.63 to 63.2.44.63—1
6563.2.44.64/3263.2.44.64 to 63.2.44.64—1
6663.2.44.65/3263.2.44.65 to 63.2.44.65—1
6763.2.44.66/3263.2.44.66 to 63.2.44.66—1
6863.2.44.67/3263.2.44.67 to 63.2.44.67—1
6963.2.44.68/3263.2.44.68 to 63.2.44.68—1
7063.2.44.69/3263.2.44.69 to 63.2.44.69—1
7163.2.44.70/3263.2.44.70 to 63.2.44.70—1
7263.2.44.71/3263.2.44.71 to 63.2.44.71—1
7363.2.44.72/3263.2.44.72 to 63.2.44.72—1
7463.2.44.73/3263.2.44.73 to 63.2.44.73—1
7563.2.44.74/3263.2.44.74 to 63.2.44.74—1
7663.2.44.75/3263.2.44.75 to 63.2.44.75—1
7763.2.44.76/3263.2.44.76 to 63.2.44.76—1
7863.2.44.77/3263.2.44.77 to 63.2.44.77—1
7963.2.44.78/3263.2.44.78 to 63.2.44.78—1
8063.2.44.79/3263.2.44.79 to 63.2.44.79—1
8163.2.44.80/3263.2.44.80 to 63.2.44.80—1
8263.2.44.81/3263.2.44.81 to 63.2.44.81—1
8363.2.44.82/3263.2.44.82 to 63.2.44.82—1
8463.2.44.83/3263.2.44.83 to 63.2.44.83—1
8563.2.44.84/3263.2.44.84 to 63.2.44.84—1
8663.2.44.85/3263.2.44.85 to 63.2.44.85—1
8763.2.44.86/3263.2.44.86 to 63.2.44.86—1
8863.2.44.87/3263.2.44.87 to 63.2.44.87—1
8963.2.44.88/3263.2.44.88 to 63.2.44.88—1
9063.2.44.89/3263.2.44.89 to 63.2.44.89—1
9163.2.44.90/3263.2.44.90 to 63.2.44.90—1
9263.2.44.91/3263.2.44.91 to 63.2.44.91—1
9363.2.44.92/3263.2.44.92 to 63.2.44.92—1
9463.2.44.93/3263.2.44.93 to 63.2.44.93—1
9563.2.44.94/3263.2.44.94 to 63.2.44.94—1
9663.2.44.95/3263.2.44.95 to 63.2.44.95—1
9763.2.44.96/3263.2.44.96 to 63.2.44.96—1
9863.2.44.97/3263.2.44.97 to 63.2.44.97—1
9963.2.44.98/3263.2.44.98 to 63.2.44.98—1
10063.2.44.99/3263.2.44.99 to 63.2.44.99—1
10163.2.44.100/3263.2.44.100 to 63.2.44.100—1
10263.2.44.101/3263.2.44.101 to 63.2.44.101—1
10363.2.44.102/3263.2.44.102 to 63.2.44.102—1
10463.2.44.103/3263.2.44.103 to 63.2.44.103—1
10563.2.44.104/3263.2.44.104 to 63.2.44.104—1
10663.2.44.105/3263.2.44.105 to 63.2.44.105—1
10763.2.44.106/3263.2.44.106 to 63.2.44.106—1
10863.2.44.107/3263.2.44.107 to 63.2.44.107—1
10963.2.44.108/3263.2.44.108 to 63.2.44.108—1
11063.2.44.109/3263.2.44.109 to 63.2.44.109—1
11163.2.44.110/3263.2.44.110 to 63.2.44.110—1
11263.2.44.111/3263.2.44.111 to 63.2.44.111—1
11363.2.44.112/3263.2.44.112 to 63.2.44.112—1
11463.2.44.113/3263.2.44.113 to 63.2.44.113—1
11563.2.44.114/3263.2.44.114 to 63.2.44.114—1
11663.2.44.115/3263.2.44.115 to 63.2.44.115—1
11763.2.44.116/3263.2.44.116 to 63.2.44.116—1
11863.2.44.117/3263.2.44.117 to 63.2.44.117—1
11963.2.44.118/3263.2.44.118 to 63.2.44.118—1
12063.2.44.119/3263.2.44.119 to 63.2.44.119—1
12163.2.44.120/3263.2.44.120 to 63.2.44.120—1
12263.2.44.121/3263.2.44.121 to 63.2.44.121—1
12363.2.44.122/3263.2.44.122 to 63.2.44.122—1
12463.2.44.123/3263.2.44.123 to 63.2.44.123—1
12563.2.44.124/3263.2.44.124 to 63.2.44.124—1
12663.2.44.125/3263.2.44.125 to 63.2.44.125—1
12763.2.44.126/3263.2.44.126 to 63.2.44.126—1
12863.2.44.127/3263.2.44.127 to 63.2.44.127—1
12963.2.44.128/3263.2.44.128 to 63.2.44.128—1
13063.2.44.129/3263.2.44.129 to 63.2.44.129—1
13163.2.44.130/3263.2.44.130 to 63.2.44.130—1
13263.2.44.131/3263.2.44.131 to 63.2.44.131—1
13363.2.44.132/3263.2.44.132 to 63.2.44.132—1
13463.2.44.133/3263.2.44.133 to 63.2.44.133—1
13563.2.44.134/3263.2.44.134 to 63.2.44.134—1
13663.2.44.135/3263.2.44.135 to 63.2.44.135—1
13763.2.44.136/3263.2.44.136 to 63.2.44.136—1
13863.2.44.137/3263.2.44.137 to 63.2.44.137—1
13963.2.44.138/3263.2.44.138 to 63.2.44.138—1
14063.2.44.139/3263.2.44.139 to 63.2.44.139—1
14163.2.44.140/3263.2.44.140 to 63.2.44.140—1
14263.2.44.141/3263.2.44.141 to 63.2.44.141—1
14363.2.44.142/3263.2.44.142 to 63.2.44.142—1
14463.2.44.143/3263.2.44.143 to 63.2.44.143—1
14563.2.44.144/3263.2.44.144 to 63.2.44.144—1
14663.2.44.145/3263.2.44.145 to 63.2.44.145—1
14763.2.44.146/3263.2.44.146 to 63.2.44.146—1
14863.2.44.147/3263.2.44.147 to 63.2.44.147—1
14963.2.44.148/3263.2.44.148 to 63.2.44.148—1
15063.2.44.149/3263.2.44.149 to 63.2.44.149—1
15163.2.44.150/3263.2.44.150 to 63.2.44.150—1
15263.2.44.151/3263.2.44.151 to 63.2.44.151—1
15363.2.44.152/3263.2.44.152 to 63.2.44.152—1
15463.2.44.153/3263.2.44.153 to 63.2.44.153—1
15563.2.44.154/3263.2.44.154 to 63.2.44.154—1
15663.2.44.155/3263.2.44.155 to 63.2.44.155—1
15763.2.44.156/3263.2.44.156 to 63.2.44.156—1
15863.2.44.157/3263.2.44.157 to 63.2.44.157—1
15963.2.44.158/3263.2.44.158 to 63.2.44.158—1
16063.2.44.159/3263.2.44.159 to 63.2.44.159—1
16163.2.44.160/3263.2.44.160 to 63.2.44.160—1
16263.2.44.161/3263.2.44.161 to 63.2.44.161—1
16363.2.44.162/3263.2.44.162 to 63.2.44.162—1
16463.2.44.163/3263.2.44.163 to 63.2.44.163—1
16563.2.44.164/3263.2.44.164 to 63.2.44.164—1
16663.2.44.165/3263.2.44.165 to 63.2.44.165—1
16763.2.44.166/3263.2.44.166 to 63.2.44.166—1
16863.2.44.167/3263.2.44.167 to 63.2.44.167—1
16963.2.44.168/3263.2.44.168 to 63.2.44.168—1
17063.2.44.169/3263.2.44.169 to 63.2.44.169—1
17163.2.44.170/3263.2.44.170 to 63.2.44.170—1
17263.2.44.171/3263.2.44.171 to 63.2.44.171—1
17363.2.44.172/3263.2.44.172 to 63.2.44.172—1
17463.2.44.173/3263.2.44.173 to 63.2.44.173—1
17563.2.44.174/3263.2.44.174 to 63.2.44.174—1
17663.2.44.175/3263.2.44.175 to 63.2.44.175—1
17763.2.44.176/3263.2.44.176 to 63.2.44.176—1
17863.2.44.177/3263.2.44.177 to 63.2.44.177—1
17963.2.44.178/3263.2.44.178 to 63.2.44.178—1
18063.2.44.179/3263.2.44.179 to 63.2.44.179—1
18163.2.44.180/3263.2.44.180 to 63.2.44.180—1
18263.2.44.181/3263.2.44.181 to 63.2.44.181—1
18363.2.44.182/3263.2.44.182 to 63.2.44.182—1
18463.2.44.183/3263.2.44.183 to 63.2.44.183—1
18563.2.44.184/3263.2.44.184 to 63.2.44.184—1
18663.2.44.185/3263.2.44.185 to 63.2.44.185—1
18763.2.44.186/3263.2.44.186 to 63.2.44.186—1
18863.2.44.187/3263.2.44.187 to 63.2.44.187—1
18963.2.44.188/3263.2.44.188 to 63.2.44.188—1
19063.2.44.189/3263.2.44.189 to 63.2.44.189—1
19163.2.44.190/3263.2.44.190 to 63.2.44.190—1
19263.2.44.191/3263.2.44.191 to 63.2.44.191—1
19363.2.44.192/3263.2.44.192 to 63.2.44.192—1
19463.2.44.193/3263.2.44.193 to 63.2.44.193—1
19563.2.44.194/3263.2.44.194 to 63.2.44.194—1
19663.2.44.195/3263.2.44.195 to 63.2.44.195—1
19763.2.44.196/3263.2.44.196 to 63.2.44.196—1
19863.2.44.197/3263.2.44.197 to 63.2.44.197—1
19963.2.44.198/3263.2.44.198 to 63.2.44.198—1
20063.2.44.199/3263.2.44.199 to 63.2.44.199—1
20163.2.44.200/3263.2.44.200 to 63.2.44.200—1
20263.2.44.201/3263.2.44.201 to 63.2.44.201—1
20363.2.44.202/3263.2.44.202 to 63.2.44.202—1
20463.2.44.203/3263.2.44.203 to 63.2.44.203—1
20563.2.44.204/3263.2.44.204 to 63.2.44.204—1
20663.2.44.205/3263.2.44.205 to 63.2.44.205—1
20763.2.44.206/3263.2.44.206 to 63.2.44.206—1
20863.2.44.207/3263.2.44.207 to 63.2.44.207—1
20963.2.44.208/3263.2.44.208 to 63.2.44.208—1
21063.2.44.209/3263.2.44.209 to 63.2.44.209—1
21163.2.44.210/3263.2.44.210 to 63.2.44.210—1
21263.2.44.211/3263.2.44.211 to 63.2.44.211—1
21363.2.44.212/3263.2.44.212 to 63.2.44.212—1
21463.2.44.213/3263.2.44.213 to 63.2.44.213—1
21563.2.44.214/3263.2.44.214 to 63.2.44.214—1
21663.2.44.215/3263.2.44.215 to 63.2.44.215—1
21763.2.44.216/3263.2.44.216 to 63.2.44.216—1
21863.2.44.217/3263.2.44.217 to 63.2.44.217—1
21963.2.44.218/3263.2.44.218 to 63.2.44.218—1
22063.2.44.219/3263.2.44.219 to 63.2.44.219—1
22163.2.44.220/3263.2.44.220 to 63.2.44.220—1
22263.2.44.221/3263.2.44.221 to 63.2.44.221—1
22363.2.44.222/3263.2.44.222 to 63.2.44.222—1
22463.2.44.223/3263.2.44.223 to 63.2.44.223—1
22563.2.44.224/3263.2.44.224 to 63.2.44.224—1
22663.2.44.225/3263.2.44.225 to 63.2.44.225—1
22763.2.44.226/3263.2.44.226 to 63.2.44.226—1
22863.2.44.227/3263.2.44.227 to 63.2.44.227—1
22963.2.44.228/3263.2.44.228 to 63.2.44.228—1
23063.2.44.229/3263.2.44.229 to 63.2.44.229—1
23163.2.44.230/3263.2.44.230 to 63.2.44.230—1
23263.2.44.231/3263.2.44.231 to 63.2.44.231—1
23363.2.44.232/3263.2.44.232 to 63.2.44.232—1
23463.2.44.233/3263.2.44.233 to 63.2.44.233—1
23563.2.44.234/3263.2.44.234 to 63.2.44.234—1
23663.2.44.235/3263.2.44.235 to 63.2.44.235—1
23763.2.44.236/3263.2.44.236 to 63.2.44.236—1
23863.2.44.237/3263.2.44.237 to 63.2.44.237—1
23963.2.44.238/3263.2.44.238 to 63.2.44.238—1
24063.2.44.239/3263.2.44.239 to 63.2.44.239—1
24163.2.44.240/3263.2.44.240 to 63.2.44.240—1
24263.2.44.241/3263.2.44.241 to 63.2.44.241—1
24363.2.44.242/3263.2.44.242 to 63.2.44.242—1
24463.2.44.243/3263.2.44.243 to 63.2.44.243—1
24563.2.44.244/3263.2.44.244 to 63.2.44.244—1
24663.2.44.245/3263.2.44.245 to 63.2.44.245—1
24763.2.44.246/3263.2.44.246 to 63.2.44.246—1
24863.2.44.247/3263.2.44.247 to 63.2.44.247—1
24963.2.44.248/3263.2.44.248 to 63.2.44.248—1
25063.2.44.249/3263.2.44.249 to 63.2.44.249—1
25163.2.44.250/3263.2.44.250 to 63.2.44.250—1
25263.2.44.251/3263.2.44.251 to 63.2.44.251—1
25363.2.44.252/3263.2.44.252 to 63.2.44.252—1
25463.2.44.253/3263.2.44.253 to 63.2.44.253—1
25563.2.44.254/3263.2.44.254 to 63.2.44.254—1
25663.2.44.255/3263.2.44.255 to 63.2.44.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses